Page MenuHomePhabricator

Allow user to enter a location on Special:Nearby
Closed, ResolvedPublic

Description

Author: 7rt1j

Description:
MediaWiki 1.22wmf5, Extension:MobileFrontend 0.7.0

Per the discussion at https://en.wikipedia.org/wiki/Wikipedia:Village_pump_(technical)#Passing_a_location_to_Special:Nearby.3F, several Wikipedia users would like to be able to use [[Special:Nearby]] with an arbitrary location, rather than where their browser thinks they are.

There are two parts to this:

a) Allow linking to "places near XXX", e.g. [[Special:Nearby/44.12,-71.13]].
b) Allow the user to enter a location directly.

Allowing locations to be specified as a longitude or latitude is useful for tools that generate links (e.g. GeoHack), but is not particularly user-friendly. A further enhancement would be to accept the name of an article and use the coordinates on that article. This would allow the entry of many town names, for example.

As a further benefit, the ability to enter arbitrary place names could mean [[Special:Nearby]] is no longer completely dependent on JavaScript. (JavaScript is needed to use browser geolocation, but is not necessary for direct user entry of a location.)


Version: unspecified
Severity: enhancement
URL: https://en.wikipedia.org/wiki/Wikipedia:Village_pump_(technical)#Passing_a_location_to_Special:Nearby.3F

Details

Reference
bz49413

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 2:06 AM
bzimport set Reference to bz49413.
bzimport added a subscriber: Unknown Object (MLST).
bzimport created this task.Jun 10 2013, 9:38 PM

There was another useful idea in this discussion:
also allow "Special:Nearby/Page name", which should work when the page in question had a geolocation marker.

Peace.

With coordinates inside the URL we would be able to include this function into the Geohack.

I'm not only interesting at places where I'm actually be.

The main consideration with doing this is how to distinguish to the user whether they are looking at things near them or near a point of interest which requires design. Also what happens to the refresh button in mobile mode - does this disappear?

Programmatically this is not too hard (we have started experimenting in alpha with this for pages which have coordinates). It might be worth taking a look at that:
https://en.m.wikipedia.org/wiki/Special:MobileOptions?mobileaction=beta

  • Bug 63719 has been marked as a duplicate of this bug. ***
TomerA added a comment.Apr 9 2014, 1:00 PM

Bug 63719 has been marked as a duplicate of this one (which I am totally okay with). Do note that the current bug (bug 49413) is marked for "mobileFrontEnd" while the other one (bug 63719) asked this functionality for desktop browsers.

Providing this functionality for desktops is free of the consideration on "how to distinguish to the user whether they are looking at things near them or near a point of interest" because desktop computers can hardly ever provide automatic GPS data through the browser anyway.

(In reply to Tomer A. from comment #5)

Bug 63719 has been marked as a duplicate of this one (which I am totally
okay with). Do note that the current bug (bug 49413) is marked for
"mobileFrontEnd" while the other one (bug 63719) asked this functionality
for desktop browsers.

Functionality has been made available for desktop browsers in bug 47598 but Special:Nearby is maintained by Mobile. I'm sorry for any confusion.

Change 159436 had a related patch set uploaded by MaxSem:
Allow overriding Nearby coordinates

https://gerrit.wikimedia.org/r/159436

Change 168208 had a related patch set uploaded by Jdlrobson:
Load nearby by url coordinates and load by page title

https://gerrit.wikimedia.org/r/168208

Change 168208 had a related patch set uploaded by Jdlrobson:
Load nearby by url coordinates and load by page title

https://gerrit.wikimedia.org/r/168208

Change 168208 merged by jenkins-bot:
Load nearby by url coordinates and load by page title

https://gerrit.wikimedia.org/r/168208

Change 159436 abandoned by Jdlrobson:
Allow overriding Nearby coordinates

Reason:
Fixed elsewhere

https://gerrit.wikimedia.org/r/159436